JarBinarySpec (Gradle API 2.9)
Date: 2015-11-17

org.gradle.jvm

## Interface JarBinarySpec

- All Superinterfaces:
    BinarySpec, Buildable, BuildableModelElement, JvmBinarySpec, Named

      @Incubating
      public interface JarBinarySpec
      extends JvmBinarySpec

  Definition of a Jar file binary that is to be built by Gradle.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<DependencySpec>` | `getApiDependencies()`
    `File` | `getApiJarFile()` The API jar file output for this binary.
    `Set<String>` | `getExportedPackages()`
    `LibraryBinaryIdentifier` | `getId()` The unique identifier of this JarBinarySpec.
    `File` | `getJarFile()` The jar file output for this binary.
    `void` | `setApiDependencies(Collection<DependencySpec> apiDependencies)`
    `void` | `setApiJarFile(File jarFile)` Sets the API jar file output for this binary.
    `void` | `setExportedPackages(Set<String> exportedPackages)`
    `void` | `setJarFile(File jarFile)` Sets the jar file output for this binary.

    - ### Methods inherited from interface org.gradle.jvm.JvmBinarySpec

      `getClassesDir, getResourcesDir, getTargetPlatform, getTasks, getToolChain, setClassesDir, setResourcesDir, setTargetPlatform, setToolChain`

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getDisplayName, getInputs, getSource, getSources, isBuildable, sources, tasks`

    - ### Methods inherited from interface org.gradle.api.BuildableModelElement

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getId

          LibraryBinaryIdentifier getId()

      The unique identifier of this JarBinarySpec.

    - #### getJarFile

          File getJarFile()

      The jar file output for this binary.

    - #### setJarFile

          void setJarFile(File jarFile)

      Sets the jar file output for this binary.

    - #### getApiJarFile

          File getApiJarFile()

      The API jar file output for this binary.

    - #### setApiJarFile

          void setApiJarFile(File jarFile)

      Sets the API jar file output for this binary.

    - #### setExportedPackages

          void setExportedPackages(Set<String> exportedPackages)

    - #### getExportedPackages

          Set<String> getExportedPackages()

    - #### setApiDependencies

          void setApiDependencies(Collection<DependencySpec> apiDependencies)

    - #### getApiDependencies

          Collection<DependencySpec> getApiDependencies()